#
# spec file for package tpm2-0-tss
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tpm2-0-tss
Version:        0.98
Release:        3.21
Summary:        TSS (TCG Software Stack) access library for TPM 2.0 chips
License:        BSD-2-Clause
Group:          Productivity/Security
Url:            https://github.com/01org/TPM2.0-TSS
Source0:        %{name}-%{version}.tar.gz
Source1:        resourcemgr.service
Source2:        baselibs.conf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  systemd-rpm-macros
Requires(pre):  pwdutils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The tpm2-0-tss package provides a TPM 2.0 TSS implementation.

%package devel
Summary:        Development headers for the TSS (TCG Software Stack) access library for TPM 2.0 chips
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       libtss2-0 = %{version}

%description devel
This package provides the development files for the libtss2 library
for accessing TPM 2.0 chips.

%package -n libtss2-0
Summary:        TSS (TCG Software Stack) access library for TPM 2.0 chip
Group:          System/Libraries
Requires:       trousers
# Non-SLPP package name from earlier
Obsoletes:      libtss2 < %version-%release
Provides:       libtss2 = %version-%release

%description -n libtss2-0
This package provides the library to access the TSS (TCG Software Stack) for
accessing TPM 2.0 chips.

%prep
%setup -q

%build
bash bootstrap
%configure --disable-static --with-pic
make %{?_smp_mflags} PTHREAD_LDFLAGS=-pthread

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
install -D -m 0644 %{SOURCE1} %{buildroot}/%{_unitdir}/resourcemgr.service
ln -sv %{_sbindir}/service %{buildroot}%{_sbindir}/rcresourcemgr

%post -n libtss2-0 -p /sbin/ldconfig
%postun -n libtss2-0 -p /sbin/ldconfig

%pre
%service_add_pre resourcemgr.service

%post
%service_add_post resourcemgr.service

%postun
%service_del_postun resourcemgr.service

%preun
%service_del_preun resourcemgr.service

%files
%defattr(-,root,root)
%doc *.md ChangeLog LICENSE *.png
%{_sbindir}/resourcemgr
/%{_unitdir}/resourcemgr.service
%{_sbindir}/rcresourcemgr

%files devel
%defattr(-,root,root)
%{_includedir}/tcti
%{_includedir}/tss2
%{_libdir}/*.so
##only available in static form
#%{_libdir}/libtddl.a

%files -n libtss2-0
%defattr(-,root,root)
/%{_libdir}/libtss2.so.*
/%{_libdir}/libtctidevice.so.*
/%{_libdir}/libtctisocket.so.*

%changelog
* Thu Aug 25 2016 meissner@suse.com
- Remove type=forking from service file (bsc#995554)
* Sat Aug  6 2016 meissner@suse.com
- added a systemd unit service file (FATE#315631)
* Fri May  6 2016 jengelh@inai.de
- Correct package naming to be in line with shared library guideline
- Remove unused systemd build and runtime dependencies
  (FATE#315631)
* Fri Apr  8 2016 dimstar@opensuse.org
- Fix rpm group of library package: libs belong, per definition, to
  the group "System/Libraries". (FATE#315631)
* Wed Feb 24 2016 meissner@suse.com
- initial import of the tpm 2.0 tss stack (FATE#315631)
